Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class PaymentCard4

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.PaymentCard4

public class PaymentCard4 extends Object

Java class for PaymentCard4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentCard4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PlainCardData" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}PlainCardData1" minOccurs="0"/>
             <element name="CardCtryCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Exact3NumericText" minOccurs="0"/>
             <element name="CardBrnd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}GenericIdentification1" minOccurs="0"/>
             <element name="AddtlCardData" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max70Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`addtlCardData`
`protected GenericIdentification1`
`cardBrnd`
`protected String`
`cardCtryCd`
`protected PlainCardData1`
`plainCardData`

## Constructor Summary

Constructors
Constructor
Description
`PaymentCard4()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddtlCardData()`
Gets the value of the addtlCardData property.
`GenericIdentification1`
`getCardBrnd()`
Gets the value of the cardBrnd property.
`String`
`getCardCtryCd()`
Gets the value of the cardCtryCd property.
`PlainCardData1`
`getPlainCardData()`
Gets the value of the plainCardData property.
`void`
`setAddtlCardData(String value)`
Sets the value of the addtlCardData property.
`void`
`setCardBrnd(GenericIdentification1 value)`
Sets the value of the cardBrnd property.
`void`
`setCardCtryCd(String value)`
Sets the value of the cardCtryCd property.
`void`
`setPlainCardData(PlainCardData1 value)`
Sets the value of the plainCardData property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### plainCardData

protected PlainCardData1 plainCardData

### cardCtryCd

protected String cardCtryCd

### cardBrnd

protected GenericIdentification1 cardBrnd

### addtlCardData

protected String addtlCardData

## Constructor Details

### PaymentCard4

public PaymentCard4()

## Method Details

### getPlainCardData

public PlainCardData1 getPlainCardData()
Gets the value of the plainCardData property.

Returns:
  possible object is `PlainCardData1`

### setPlainCardData

public void setPlainCardData(PlainCardData1 value)
Sets the value of the plainCardData property.

Parameters:
  `value` - allowed object is `PlainCardData1`

### getCardCtryCd

public String getCardCtryCd()
Gets the value of the cardCtryCd property.

Returns:
  possible object is `String`

### setCardCtryCd

public void setCardCtryCd(String value)
Sets the value of the cardCtryCd property.

Parameters:
  `value` - allowed object is `String`

### getCardBrnd

public GenericIdentification1 getCardBrnd()
Gets the value of the cardBrnd property.

Returns:
  possible object is `GenericIdentification1`

### setCardBrnd

public void setCardBrnd(GenericIdentification1 value)
Sets the value of the cardBrnd property.

Parameters:
  `value` - allowed object is `GenericIdentification1`

### getAddtlCardData

public String getAddtlCardData()
Gets the value of the addtlCardData property.

Returns:
  possible object is `String`

### setAddtlCardData

public void setAddtlCardData(String value)
Sets the value of the addtlCardData property.

Parameters:
  `value` - allowed object is `String`